Thanks for the presentation, it is great, 

 

But what about supporting 3.5 WF?

Our application is running more than a year now using 3.5 WF and we don’t want to rewrite it, so how can we run it from the 4.0 WF?